Summary:	Interface for vips image manipulation tool
Name:		nip2
Version:	7.14.4
Release:	%{mkrel 1}
License:	LGPLv2+
Group:		Video
URL:		http://www.vips.ecs.soton.ac.uk/index.php
Source0:	%{name}-%{version}.tar.gz
# Add a configure option to disable updating of desktop and mime
# databases during make install: this is wrong for packages
# - AdamW 2008/07 (submitted upstream to ML)
Patch0:		nip2-update-desktop.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	flex 
BuildRequires:	bison 
BuildRequires:	gtk2-devel 
BuildRequires:	libxml2-devel 
BuildRequires:	vips-devel 
BuildRequires:	fftw3-devel
BuildRequires:	libgsl-devel
BuildRequires:	imagemagick
# It tests for xdg-open - AdamW
BuildRequires:	xdg-utils
BuildRequires:	perl-XML-Parser
Requires:	xdg-utils

%description
nip2 aims to be about halfway between Excel and Photoshop. You don't directly
edit images - instead, like a spreadsheet, you build relationships between 
objects. When you make a change somewhere, nip2 will recalculate the objects 
affected by that change. Since it is demand-driven this update is usually 
(almost) instant, even for very, very large images.

%prep
%setup -q
%patch0 -p1 -b .update

%build
autoreconf
%configure2_5x --enable-update-desktop=no
%make

%install
rm -rf %{buildroot}
%makeinstall

%if %mdkversion < 200900
%post
%update_desktop_database
%update_mime_database
%endif

%if %mdkversion < 200900
%postun
%clean_mime_database
%clean_desktop_database
%endif


rm -fr %{buildroot}/%{_datadir}/locale/malkovich

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert -scale 16x16 proj/src/nip.ico %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 proj/src/nip.ico %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 48x48 proj/src/nip.ico %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post 
%{update_menus} 
%endif

%if %mdkversion < 200900
%postun 
%{clean_menus} 
%endif

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%defattr(644,root,root,755)
%{_datadir}/%{name}
%doc %{_defaultdocdir}/%{name}
%{_mandir}/man?/*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/*
%{_datadir}/mime/packages/%{name}.xml



%changelog
* Thu Jul 10 2008 Adam Williamson <awilliamson@mandriva.com> 7.14.4-1mdv2009.0
+ Revision: 233200
- rebuild against new vips
- add update-desktop.patch to add a configure option for disabling desktop
  and mime database update during install
- drop mandriva-created .desktop file (upstream now includes one)
- fd.o icons
- update buildrequires
- clean spec
- new release 7.14.4

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tvignaud@mandriva.com>
    - create icon directories
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - drop old menu

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against new imagemagick libs

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 7.10.21-3mdv2008.1
+ Revision: 146506
- rebuilt against new imagemagick libs (6.3.7)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 7.10.21-2mdv2008.0
+ Revision: 24890
- Rebuild.


* Thu Aug 31 2006 Couriousous <couriousous@mandriva.org>
+ 2006-08-31 15:20:17 (59049)
- 7.10.21
- XDG

* Thu Aug 03 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 08:24:10 (43165)
import nip2-7.10.16-1mdk

* Mon Apr 17 2006 Couriousous <couriousous@mandriva.org> 7.10.16-1mdk
- 7.10.16

* Sun Jan 15 2006 Nicolas Lcureuil <neoclust@mandriva.org> 7.10.14-4mdk
- Rebuild for new ImageMagick

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 7.10.14-3mdk
- BuildRequires fix

* Sun Oct 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 7.10.14-2mdk
- BuildRequires fix

* Sat Oct 01 2005 Couriousous <couriousous@mandriva.org> 7.10.14-1mdk
- 7.10.14

* Sun Jul 17 2005 Couriousous <couriousous@mandriva.org> 7.10.10-1mdk
- Fix menu and BuildRequires
- From: Trem <trem@zarb.org> 
	- Initial build.

